function init(hero) {
    hero.setName("White Wolf/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("FATWS");
    hero.setTier(3);
    
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:captain_americas_shield");
    hero.addEquipment("fiskheroes:rip_hunters_gun");
    hero.addEquipment("fiskheroes:chronos_rifle");

    hero.addPowers("uhp:vibranium_arm", "uhp:winter_soldier_program");
	
    hero.addAttribute("FALL_RESISTANCE", 8.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.50, 1);
    hero.addAttribute("WEAPON_DAMAGE", 5.5, 0);
   
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);
    hero.addKeyBind("SHIELD", "Toggle Vibranium Arm", 2);
    hero.addKeyBind("UTILITY_BELT", "Toggle Assassin's Arsenal", 3);

    hero.setHasPermission(hasPermission);
    hero.setModifierEnabled(isModifierEnabled);

    hero.supplyFunction("canAim", canAim);

}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:metal_skin":
        return entity.getData("fiskheroes:shield_blocking");
    case "fiskheroes:fire_immunity":
        return entity.getData("fiskheroes:shield_blocking");
    case "fiskheroes:projectile_immunity":
        return entity.getData("fiskheroes:shield_blocking");
    default:
        return true;
    }
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD" || permission == "USE_CHRONOS_RIFLE" || permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle" || entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}